Skip to main content
Update the conversation details based on the conversation ID
PUT https://services.leadconnectorhq.com/conversations/{conversationId}

Autorización

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticación.
Version
string
default:"2021-07-28"
required
Versión de la API.

Path parameters

conversationId
string
default:"tDtDnQdgm2LXpyiqYvZ6"
required
Conversation ID as string

Body

locationId
string
default:"tDtDnQdgm2LXpyiqYvZ6"
required
Account ID as string
unreadCount
number
default:"1"
Count of unread messages in the conversation
starred
boolean
default:"True"
Starred status of the conversation.
feedback
object

Respuestas

success
boolean
default:"True"
required
Boolean value as the API response.
conversation
object
required
Conversation data of the provided conversation ID.
{
  "success": true
}
{}
{}

Ejemplo

curl -X PUT 'https://services.leadconnectorhq.com/conversations/YOUR_conversationId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "tDtDnQdgm2LXpyiqYvZ6",
  "unreadCount": 1,
  "starred": true,
  "feedback": {}
}'
const response = await fetch('https://services.leadconnectorhq.com/conversations/YOUR_conversationId', {
  method: 'PUT',
  headers: {
    Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
    Version: '2021-07-28',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"locationId": "tDtDnQdgm2LXpyiqYvZ6", "unreadCount": 1, "starred": true, "feedback": {}}),
});
const data = await response.json();
import os, requests
response = requests.request(
    'PUT',
    'https://services.leadconnectorhq.com/conversations/YOUR_conversationId',
    headers={
        'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
        'Version': '2021-07-28',
        'Content-Type': 'application/json',
    },
    json={"locationId": "tDtDnQdgm2LXpyiqYvZ6", "unreadCount": 1, "starred": true, "feedback": {}},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/conversations/YOUR_conversationId');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'PUT',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
        'Version: 2021-07-28',
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => json_encode({'locationId': 'tDtDnQdgm2LXpyiqYvZ6', 'unreadCount': 1, 'starred': true, 'feedback': {}}),
]);
$data = json_decode(curl_exec($ch), true);